# Uses of Interface
org.apache.cxf.databinding.DataWriter

Packages that use DataWriter
Package
Description
org.apache.cxf.databinding
org.apache.cxf.databinding.source
org.apache.cxf.databinding.stax
org.apache.cxf.interceptor

- ## Uses of DataWriter in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding that return DataWriter
  Modifier and Type
  Method
  Description
  `<T> DataWriter<T>`
  DataBinding.`createWriter(Class<T> cls)`

- ## Uses of DataWriter in org.apache.cxf.databinding.source

  Classes in org.apache.cxf.databinding.source that implement DataWriter
  Modifier and Type
  Class
  Description
  `class`
  `NodeDataWriter`
  `class`
  `XMLStreamDataWriter`
  Methods in org.apache.cxf.databinding.source that return DataWriter
  Modifier and Type
  Method
  Description
  `<T> DataWriter<T>`
  SourceDataBinding.`createWriter(Class<T> cls)`

- ## Uses of DataWriter in org.apache.cxf.databinding.stax

  Classes in org.apache.cxf.databinding.stax that implement DataWriter
  Modifier and Type
  Class
  Description
  `static class`
  `StaxDataBinding.XMLStreamDataWriter`
  Methods in org.apache.cxf.databinding.stax that return DataWriter
  Modifier and Type
  Method
  Description
  `<T> DataWriter<T>`
  StaxDataBinding.`createWriter(Class<T> cls)`

- ## Uses of DataWriter in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return DataWriter
  Modifier and Type
  Method
  Description
  `protected <T> DataWriter<T>`
  AbstractOutDatabindingInterceptor.`getDataWriter(Message message, Service service, Class<T> output)`